# Poco::Net

# class UDPServerParams

Library: Net
Package: UDP
Header: Poco/Net/UDPServerParams.h

## Description

A class encapsulating UDP server parameters.

## Member Summary

Member Functions: address, backlogThreshold, handlerBufListSize, notifySender, numberOfSockets, timeout

## Constructors

### UDPServerParams

UDPServerParams(
const Poco::Net::SocketAddress & sa,
int nSockets = 10,
Poco::Timespan timeout = 250000,
std::size_t handlerBufListSize = 1000,
bool notifySender = false,
int backlogThreshold = 10
);

Creates UDPServerParams.

## Destructor

### ~UDPServerParams

~UDPServerParams();

Destroys UDPServerParams.

## Member Functions

### address

const Poco::Net::SocketAddress & address() const;

Returns the server address.

### backlogThreshold

int backlogThreshold() const;

Size of mesage or error backlogs at which server reports backlogs back to the client. Only meaningful if notifySender() is true.

### handlerBufListSize

std::size_t handlerBufListSize() const;

Returns the number of handler buffers allocated before buffers start being reused.

### notifySender

bool notifySender() const;

Returns the flag inidcating whether server should send notifications back to the client.

### numberOfSockets

int numberOfSockets() const;

Returns nuber of sockets for the server.

### timeout

Poco::Timespan timeout() const;

Returns polling timeout.